# Uses of Interface
com.usatiuk.objects.iterators.MaybeTombstone

Packages that use MaybeTombstone
Package
Description
com.usatiuk.objects
com.usatiuk.objects.iterators
com.usatiuk.objects.snapshot
com.usatiuk.objects.stores

## Uses of MaybeTombstone in com.usatiuk.objects

Subinterfaces of MaybeTombstone in com.usatiuk.objects
Modifier and Type
Interface
Description
`interface`
`JDataVersionedWrapper`
Classes in com.usatiuk.objects that implement MaybeTombstone
Modifier and Type
Class
Description
`final record`
`JDataVersionedWrapperImpl`
`final class`
`JDataVersionedWrapperLazy`

## Uses of MaybeTombstone in com.usatiuk.objects.iterators

Subinterfaces of MaybeTombstone in com.usatiuk.objects.iterators
Modifier and Type
Interface
Description
`interface`
`Data<V>`
`interface`
`Tombstone<V>`
Classes in com.usatiuk.objects.iterators that implement MaybeTombstone
Modifier and Type
Class
Description
`final record`
`DataWrapper<V>`
`final record`
`TombstoneImpl<V>`
Constructor parameters in com.usatiuk.objects.iterators with type arguments of type MaybeTombstone
Modifier
Constructor
Description
``
`TombstoneSkippingIterator(IteratorStart start, K startKey, List<CloseableKvIterator<K,MaybeTombstone<V>>> iterators)`

## Uses of MaybeTombstone in com.usatiuk.objects.snapshot

Methods in com.usatiuk.objects.snapshot that return types with arguments of type MaybeTombstone
Modifier and Type
Method
Description
`List<CloseableKvIterator<K,MaybeTombstone<V>>>`
Snapshot.`getIterator(IteratorStart start, K key)`

## Uses of MaybeTombstone in com.usatiuk.objects.stores

Subinterfaces of MaybeTombstone in com.usatiuk.objects.stores
Modifier and Type
Interface
Description
`interface`
`PendingWriteEntry`
Classes in com.usatiuk.objects.stores that implement MaybeTombstone
Modifier and Type
Class
Description
`final record`
`PendingDelete`
`final record`
`PendingWrite`